Bug 1498989 - Change to remove automatic deployment triggers in deploymentconfigs
Summary: Change to remove automatic deployment triggers in deploymentconfigs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.7.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: 3.7.z
Assignee: ewolinet
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-05 18:30 UTC by Peter Portante
Modified: 2018-04-05 09:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: elasticsearch dcs are created without config change triggers Reason: to avoid the unplanned restart of elasticsearch pods which could cause loss of data Result: When a config change is made to an elasticsearch dc it is not automatically rolled out and can be done at a scheduled time. Docs have been updated to describe how this can be done.
Clone Of:
Environment:
Last Closed: 2018-04-05 09:29:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:30:13 UTC

Description Peter Portante 2017-10-05 18:30:43 UTC
Right now, if a change is made to a deployment configuration, we Kube will redeploy the pod.  This is not necessarily desirable for Elasticsearch data nodes.

If we need to make a few changes, perhaps via an ansible script, ideally we'd want to have a handler collect all the "restarts" required and issue one restart, perhaps properly synchronized with all other ES cluster pods that need to be restarted.

Comment 2 ewolinet 2017-12-15 16:49:22 UTC
3.7 release https://github.com/openshift/openshift-ansible/pull/6491

Comment 5 Junqi Zhao 2018-02-14 08:13:17 UTC
Tested with logging with enabled ops cluster, make changes to ES/ES-OPS dc, the ES/ES-OPS pods won't be redeployed.

env:

openshift-ansible-3.7.29-1.git.0.e1bfc35.el7.noarch.rpm
openshift-ansible-callback-plugins-3.7.29-1.git.0.e1bfc35.el7.noarch.rpm
openshift-ansible-docs-3.7.29-1.git.0.e1bfc35.el7.noarch.rpm
openshift-ansible-filter-plugins-3.7.29-1.git.0.e1bfc35.el7.noarch.rpm
openshift-ansible-lookup-plugins-3.7.29-1.git.0.e1bfc35.el7.noarch.rpm
openshift-ansible-playbooks-3.7.29-1.git.0.e1bfc35.el7.noarch.rpm
openshift-ansible-roles-3.7.29-1.git.0.e1bfc35.el7.noarch.rpm

Comment 9 errata-xmlrpc 2018-04-05 09:29:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.